package com.ozs.plan.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.ozs.plan.doman.ProvisionalPlan;
import com.ozs.plan.mapper.PlanYearsMapper;
import com.ozs.plan.mapper.ProvisionalPlanMapper;
import com.ozs.plan.service.ProvisionalPlanService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

@Service
public class ProvisionalPlanServiceImpl extends ServiceImpl<ProvisionalPlanMapper, ProvisionalPlan> implements ProvisionalPlanService {

    @Autowired
    private ProvisionalPlanMapper provisionalPlanMapper;

    @Override
    public int deleteProvisionalPlanById(Integer planYearId) {
        return provisionalPlanMapper.deleteProvisionalPlanById(planYearId);
    }

    @Override
    public int updateProvisionalPlanById(ProvisionalPlan provisionalPlan) {
        return provisionalPlanMapper.updateProvisionalPlanById(provisionalPlan);
    }
}
